Bug 1293987 - RFE: ostree admin instutil set-kargs error: Attempting to remove booted deployment
RFE: ostree admin instutil set-kargs error: Attempting to remove booted deplo...
Product: Fedora
Classification: Fedora
Component: ostree (Show other bugs)
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Colin Walters
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2015-12-23 17:20 EST by Chris Murphy
Modified: 2016-12-20 12:21 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2016-12-20 12:21:27 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
strace (40.27 KB, text/plain)
2015-12-23 17:20 EST, Chris Murphy
no flags Details

  None (edit)
Description Chris Murphy 2015-12-23 17:20:29 EST
Created attachment 1109023 [details]

Description of problem:

ostree admin instutil set-kargs --import-proc-cmdline
ostree admin instutil set-kargs --merge
ostree admin instutil set-kargs --append=elevator=deadline
ostree admin instutil set-kargs --append elevator=deadline

All fail with 

error: Attempting to remove booted deployment

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:

See above.

Actual results:

error: Attempting to remove booted deployment

Expected results:

Since it's not complaining about a syntax problem with the command, I'm guessing all of what I've tried so far should work and this is just broken at the moment.

Additional info:

-v doesn't provide any additional information
Comment 1 Colin Walters 2016-01-04 11:39:54 EST
Yes, we need a command for changing the current bootloader arguments.
Comment 3 Fedora End Of Life 2016-11-24 09:29:35 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 4 Fedora End Of Life 2016-12-20 12:21:27 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.